Package wx :: Class Validator

[frames | no frames]

## Type Validator

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                    Validator

Known Subclasses:
  `PyValidator`

Proxy of C++ Validator class

Method Summary
Validator | `__init__(self)`
Validator | `Clone(self)`
Window | `GetWindow(self)`
bool | `IsSilent()` (Static method)
| `SetBellOnError(doIt)` (Static method)
| `SetWindow(self, window)`
bool | `TransferFromWindow(self)`
bool | `TransferToWindow(self)`
bool | `Validate(self, parent)`

Property Summary
| `thisown`: The membership flag
| `Window`: See `GetWindow` and `SetWindow`

Property Details

### thisown

The membership flag

### Window

See `GetWindow` and `SetWindow`

  Get Method:
    `GetWindow`(self)
  Set Method:
    `SetWindow`(self, window)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:40 2007 | http://epydoc.sf.net